> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# List Sites

GET https://api.webflow.com/v2/sites

List of all sites the provided access token is able to access.

Required scope | `sites:read`


Reference: https://developers.webflow.com/data/reference/sites/list

## Authentication

- `Authorization` header (bearer token, required)

## Response

### 200

Request was successful

- `sites` (list of object, optional)
  - `id` (string, required) — Unique identifier for the Site
  - `workspaceId` (string, optional) — Unique identifier for the Workspace
  - `createdOn` (string, optional) — Date the Site was created
  - `displayName` (string, optional) — Name given to Site
  - `shortName` (string, optional) — Slugified version of name
  - `lastPublished` (string, optional) — Date the Site was last published
  - `lastUpdated` (string, optional) — Date the Site was last updated
  - `previewUrl` (string, optional) — URL of a generated image for the given Site
  - `timeZone` (string, optional) — Site timezone set under Site Settings
  - `parentFolderId` (string, optional, nullable) — The ID of the parent folder the Site exists in
  - `customDomains` (list of object, optional)
    - `id` (string, required) — Unique identifier for the Domain
    - `url` (string, optional) — The registered Domain name
    - `lastPublished` (string, optional, nullable) — The date the custom domain was last published to
  - `locales` (object, optional)
    - `primary` (object, optional) — The primary locale for the site or application.
      - `id` (string, optional) — The unique identifier for the locale.
      - `cmsLocaleId` (string, optional) — A CMS-specific identifier for the locale.
      - `enabled` (boolean, optional) — Indicates if the locale is enabled.
      - `displayName` (string, optional) — The display name of the locale, typically in English.
      - `displayImageId` (string, optional, nullable) — An optional ID for an image associated with the locale, nullable.
      - `redirect` (boolean, optional) — Determines if requests should redirect to the locale's subdirectory.
      - `subdirectory` (string, optional) — The subdirectory path for the locale, used in URLs.
      - `tag` (string, optional) — A tag or code representing the locale, often following a standard format like 'en-US'.
    - `secondary` (list of object, optional) — A list of secondary locales available for the site or application.
      - `id` (string, optional) — The unique identifier for the locale.
      - `cmsLocaleId` (string, optional) — A CMS-specific identifier for the locale.
      - `enabled` (boolean, optional) — Indicates if the locale is enabled.
      - `displayName` (string, optional) — The display name of the locale, typically in English.
      - `displayImageId` (string, optional, nullable) — An optional ID for an image associated with the locale, nullable.
      - `redirect` (boolean, optional) — Determines if requests should redirect to the locale's subdirectory.
      - `subdirectory` (string, optional) — The subdirectory path for the locale, used in URLs.
      - `tag` (string, optional) — A tag or code representing the locale, often following a standard format like 'en-US'.
  - `dataCollectionEnabled` (boolean, optional) — Indicates if data collection is enabled for the site.
  - `dataCollectionType` (enum, optional) — The type of data collection enabled for the site.
    - Allowed values: `always`, `optOut`, `disabled`

## Examples

**Response**

```json
{
  "sites": [
    {
      "id": "42e63e98c9a982ac9b8b741",
      "workspaceId": "42e63fc8c9a982ac9b8b744",
      "createdOn": "1979-10-12T12:00:00.000Z",
      "displayName": "Heart of Gold Spaceship",
      "shortName": "heart-of-gold",
      "lastPublished": "2023-04-02T12:42:00.000Z",
      "previewUrl": "https://dev-assets.website-files.com/42e63e98c9a982ac9b8b741/197910121200.png",
      "timeZone": "America/Los_Angeles",
      "parentFolderId": "1as2d3f4g5h6j7k8l9z0x1c2v3b4n5m6",
      "customDomains": [
        {
          "id": "589a331aa51e760df7ccb89e",
          "url": "heartofgold.galaxy",
          "lastPublished": "2022-12-07T16:51:37.571Z"
        }
      ],
      "locales": {
        "primary": {
          "id": "653fd9af6a07fc9cfd7a5e57",
          "cmsLocaleId": "653ad57de882f528b32e810e",
          "enabled": true,
          "displayName": "English - Heart of Gold Standard",
          "redirect": false,
          "subdirectory": "/en",
          "tag": "The Ultimate Answer"
        },
        "secondary": [
          {
            "id": "653fd9af6a07fc9cfd7a5e58",
            "cmsLocaleId": "653ad57de882f528b32e810g",
            "enabled": true,
            "displayName": "Betelgeusian - Vogon Liaison",
            "redirect": true,
            "subdirectory": "/bet",
            "tag": "Vogon"
          },
          {
            "id": "653fd9af6a07fc9cfd7a5e59",
            "cmsLocaleId": "653ad57de882f528b32e810h",
            "enabled": false,
            "displayName": "Magrathean - Custom Planet Designs",
            "redirect": true,
            "subdirectory": "/mg",
            "tag": "Magrathean"
          }
        ]
      },
      "dataCollectionEnabled": true,
      "dataCollectionType": "always"
    },
    {
      "id": "42e63e98c9a982ac9b8b742",
      "workspaceId": "42e63fc8c9a982ac9b8b745",
      "createdOn": "1981-10-12T12:00:00.000Z",
      "displayName": "Marvin's Personal Blog",
      "shortName": "paranoid-android",
      "lastPublished": "2023-04-02T12:45:00.000Z",
      "previewUrl": "https://dev-assets.website-files.com/42e63e98c9a982ac9b8b742/198110121200.png",
      "timeZone": "America/Los_Angeles",
      "parentFolderId": null,
      "customDomains": [
        {
          "id": "589a331aa51e760df7ccb89f",
          "url": "marvin.blog",
          "lastPublished": "2022-12-07T16:51:37.571Z"
        }
      ],
      "locales": {
        "primary": {
          "id": "653fd9af6a07fc9cfd7a5e57",
          "cmsLocaleId": "653ad57de882f528b32e810e",
          "enabled": true,
          "displayName": "English - Marvin's Musings",
          "redirect": false,
          "subdirectory": "/en",
          "tag": "English"
        },
        "secondary": [
          {
            "id": "653fd9af6a07fc9cfd7a5e56",
            "cmsLocaleId": "653ad57de882f528b32e810f",
            "enabled": true,
            "displayName": "Squornshellous - Mattress Speak",
            "redirect": true,
            "subdirectory": "/sr",
            "tag": "Squornshellous"
          }
        ]
      },
      "dataCollectionEnabled": true,
      "dataCollectionType": "always"
    },
    {
      "id": "42e63e98c9a982ac9b8b743",
      "workspaceId": "42e63fc8c9a982ac9b8b746",
      "createdOn": "1982-10-12T12:00:00.000Z",
      "displayName": "Vogon Poetry Archive",
      "shortName": "vogon-poetry",
      "lastPublished": "2023-04-02T12:50:00.000Z",
      "previewUrl": "https://dev-assets.website-files.com/42e63e98c9a982ac9b8b743/198210121200.png",
      "timeZone": "America/Los_Angeles",
      "parentFolderId": null,
      "customDomains": [
        {
          "id": "589a331aa51e760df7ccb8a0",
          "url": "vogonpoetry.galaxy",
          "lastPublished": "2022-12-07T16:51:37.571Z"
        }
      ],
      "locales": {
        "primary": {
          "id": "653fd9af6a07fc9cfd7a5e55",
          "cmsLocaleId": "653ad57de882f528b32e810d",
          "enabled": true,
          "displayName": "English - Vogon Verse",
          "redirect": false,
          "subdirectory": "/en",
          "tag": "Third Worst Poetry"
        },
        "secondary": [
          {
            "id": "653fd9af6a07fc9cfd7a5e54",
            "cmsLocaleId": "653ad57de882f528b32e810c",
            "enabled": true,
            "displayName": "Galactic - Universal Language",
            "redirect": true,
            "subdirectory": "/gl",
            "tag": "Pan-Galactic Gargle Blaster"
          }
        ]
      },
      "dataCollectionEnabled": true,
      "dataCollectionType": "always"
    }
  ]
}
```

**SDK Code**

```typescript
import { WebflowClient } from "webflow-api";

async function main() {
    const client = new WebflowClient({
        accessToken: "YOUR_TOKEN_HERE",
    });
    await client.sites.list();
}
main();

```

```python
from webflow import Webflow

client = Webflow(
    access_token="YOUR_TOKEN_HERE",
)

client.sites.list()

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/v2/sites"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/v2/sites")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.webflow.com/v2/sites")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.webflow.com/v2/sites', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.webflow.com/v2/sites");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/v2/sites")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```